!set title=Cálculo Z
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=es
leftrange=-5.000000
rightrange=5.000000
author=Guerimand Fabrice
email=fwguerima@free.fr
computeanswer=no
precision=10000

ansorder=r
varcnt=6
prevarcnt=5
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randint 1, 10

val6=$[rint($(tmp0))]
tmp0=!randint 1, 10

val7=$[rint($(tmp0))]
tmp0=!randitem -$val6,$val6

val8=$(tmp0)
tmp0=!randitem +$val7,-$val7,-(-$val7)

val9=$(tmp0)
val10=$[rint($val8$val9)]
replytype1=numexp
replyname1=Respuesta
replygood1=$[$val10]
question=__EXECUTED_1692754_EXERCISE__
solution=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Calcule 
!insmath $val8$val9
$():
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$() 
!if $val9=-(-$val7) 
$()
!insmath $val8$val9=$val8+$val7=$val10
$() 
!else
$()	 
!insmath $val8$val9=$val10
$() 
!endif
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=7,8,9,10
embedcnt=0
